Bug 8161 - users get the ownership of the devices . . .
users get the ownership of the devices . . .
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: dev (Show other bugs)
6.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-04 07:34 EST by tkilicli
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-13 17:21:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tkilicli 2000-01-04 07:34:34 EST
When i try to play a sound in RH6.1, the sound device belongs to mine and
other users cannot use the device. This is true for other devices also
(e.g. the floppy). I tried with MAKEDEV to create the devices from the
beginning but it was only to the other user to log on... it was all over.
Sound device is now his OWN device!
Comment 1 Nalin Dahyabhai 2000-01-07 12:57:59 EST
This is by design.  By default, permissions are set up so that only users logged
in at the console can use audio devices (otherwise, remote users could eavesdrop
on workstations with microphones attached).  To allow users to use the audio
devices, find the line in /etc/security/console.perms that reads:
<console>  0600 <sound>     0644 root.sys
and change it to:
<console>  0666 <sound>     0644 root.sys

Similarly, modify the line that corresponds to the floppy disk devices to allow
remote users to access it.

Please let us know if this solves your problem.
Comment 2 tkilicli 2000-01-14 02:12:59 EST
I worked on that a bit, but i realised that the first user who logs on to the
computer gets the permissions of all devices lik sound, floppy... but when he
logs off the devices are not taken from him. He still owns the permission to
read and write but no others. I tried the console.perm file but it did not
work?

Note You need to log in before you can comment on or make changes to this bug.